基于 Anaconda Navigator 可视化安装 Python 包的方法

        博主最近在学习深度学习,当然是使用现在连小学生都要学习的Python,而在Python中,貌似tensorflow不好安装,于是就学习一下如何安装tensorflow。后来发现,使用 Anaconda 进行机器学习真是一个明智的选择,基本上不用自己操心各种执行环境的问题,一切都有 Anaconda 帮我们处理好。    打...... >>查看全文

2017-12-12 20:53:01


如何通过修改hosts文件去访问Google

        因为我经常在解答大家的提问的过程中,截图通过Google搜索得到的结果,大家都很惊讶,为什么我还可以访问Google的搜索引擎,老实说,我这种做技术的,没有Google真的活不下去,所以自己也千方百计地寻找对应的翻墙的方法,还真的给我找到一种免费的,可以持续访问Google的方法,今天的每日一答,就分享这个,希望不会被和谐掉~~~      ...... >>查看全文

2017-03-21 18:49:29


如何使用源码安装Python包?以jieba为例

        首先,我们需要下载到我们需要用到的包的源码,一般我会直接使用 包名 + Python 作为关键字,在百度中进行搜索,例如jieba,我就搜索jieba python。    接着,我们就进入源码的下载页面,然后解压缩,使用命令:       &...... >>查看全文

2018-01-12 22:50:54


pandas指定列的数据类型进行数据的导入

    今天有学员问到,使用pandas.read_csv,可以使用dtype进行列数据类型的指定,但是如果使用read_excel的话,就不行,会有如下的错误提示:    后来通过谷歌搜索,可以得到,在使用read_excel方法的时候,正确的指定列的数据类型的导入方法如下:        data = pandas...... >>查看全文

2017-07-21 14:30:09


解决使用pip安装包的时候,出现unable to find vcvarsall.bat的问题

在三年前,我们课程刚刚起航的时候,就碰上了使用pip安装包的时候,出现 unable to find vcvarsall.bat 这个问题。 一直想顺利解决这个问题,但是尝试了网上各位大神的做法之后,还是不行,这个问题照常出现,没办法,只能折中,在网上找whl文件进行pip的安装。 这种做法非常不符合python的易用性的一个规范,这个问题肯定是有解决方案的, 因此在搜索了大量的文档和尝试之后,终于彻底地解决了这个问题。 下面的软件,...... >>查看全文

2017-01-09 11:12:38


Anaconda最新版本默认不安装PyQt4,可以使用whl进行安装

    我在使用最新版的Anaconda制作《Python数据分析实战》课程的时候,发现使用%matplotlib qt命令,弹出PyQt4没有发现的异常,如下所示:    ModuleNotFoundError: No module named 'PyQt4'        后来使用&n...... >>查看全文

2017-05-10 16:45:00


MySQL最新版本下载、安装以及配置

下载MySQL    《MySQL数据分析实战》课程(地址:http://www.datastudy.cc/to/95)已经发布接近两年,这两年,MySQL也升级了,因此,一篇新的下载和安装文档,对初学者来说,非常重要。    那么,该从哪里下载MySQL呢?现在恐怕谁也不会去记住一个网址,因为我们有搜索引擎了。    下载地址是:https://www.mysql.com/d...... >>查看全文

2016-11-13 17:02:02


关于Python3.5安装MySQLClient遇上vcvarsall.bat编译环境不存在问题的解决方案

在python数据分析实战的整合MySQL的课程中,有同学反馈,在使用pip install MySQLClient安装MySQLClient出现下图的问题。 这个错误很常见,因为我们windows系统,没有自带vc++的编译环境,源码无法编译,导致安装不成功。当然我们也不需要为了解决这个问题,而去买个visual studio然后安装一个vc++的编译环境,我们只需要下载编译好的whl包的文件安装即可。 whl包的下载地址如下: http://www.lfd.u...... >>查看全文

2017-02-16 13:18:29


PIP命令十大使用技巧

pip是Python中非常好用的包管理工具,虽然我们一般只是使用它来进行包的安装,但是它还是有很多我们需要了解的功能。 如果你使用Python2.7,估计你还需要自己手动安装一下pip,《如何在Python2.7版本中安装pip程序呢?》一、安装包 $ pip install SomePackage # 安装最新的版本  $ pip install SomePackage==1.0.4 #&nb...... >>查看全文

2016-12-21 14:52:05

每页 10 条 1 2 共 12 篇文章